package com.muyu.marketing.domain.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.marketing.domain.ActivityTeamInfo;
import com.muyu.marketing.domain.req.TeamProjectSkuInfoAddReq;
import com.muyu.marketing.domain.resp.TeamInfoProductSkuIdByIdResp;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.context.annotation.ApplicationScope;

import java.util.Date;
import java.util.List;

/**
 * 团购活动回显模板
 *
 * @author: CuiFu Bo
 * @create: 2024-11-27 00:49
 **/

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamFindByIdModel {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */
    private String unit;
    /**
     * 轮播图
     */
    private String imageList;
    /**
     * 活动结束时间
     */
    private Date endTime;
    /**
     * 活动排序
     */
    private long sort;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private long strategyId;
    /**
     * 商品SkU集合
     */
    private List<TeamInfoProductSkuIdByIdResp> teamProjectSkuInfoAddReqList;


    public static ActivityTeamFindByIdModel findByIdModel(ActivityTeamInfo activityTeamInfo,List<TeamInfoProductSkuIdByIdResp> teamProjectSkuInfoAddReqList){
        return ActivityTeamFindByIdModel.builder()
                .id(activityTeamInfo.getId())
                .name(activityTeamInfo.getName())
                .productId(activityTeamInfo.getProductId())
                .productImage(activityTeamInfo.getProductImage())
                .introduction(activityTeamInfo.getIntroduction())
                .unit(activityTeamInfo.getUnit())
                .imageList(activityTeamInfo.getImageList())
                .endTime(activityTeamInfo.getEndTime())
                .sort(activityTeamInfo.getSort())
                .content(activityTeamInfo.getContent())
                .status(activityTeamInfo.getStatus())
                .strategyType(activityTeamInfo.getStrategyType())
                .strategyId(activityTeamInfo.getStrategyId())
                .teamProjectSkuInfoAddReqList(teamProjectSkuInfoAddReqList)
                .build();
    }

}
