package com.muyu.marketing.domain.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 团购活动规格查询模型
 *
 * @author: CuiFu Bo
 * @create: 2024-11-27 00:54
 **/

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamProductSkuIdModel {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private long id;
    /**
     * 活动ID
     */
    private long teamId;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品SKU
     */
    private String productSku;
    /**
     * 拼团库存
     */
    private Long teamStock;
    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

}
