package com.muyu.marketing.domain.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.marketing.domain.model.ActivityTeamFindByIdModel;
import com.muyu.marketing.domain.req.TeamProjectSkuInfoAddReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 团购活动回显
 *
 * @author: CuiFu Bo
 * @create: 2024-11-27 01:02
 **/

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TeamInfoListByIdResp {
    /**
     * 拼团ID
     */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */

    private String unit;
    /**
     * 轮播图
     */

    private String imageList;
    /**
     * 活动结束时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd")
    private Date endTime;
    /**
     * 活动排序
     */
    private Long sort;
    /**
     * 商品SkU集合
     */
    private List<TeamInfoProductSkuIdByIdResp> teamProjectSkuInfoAddReqList;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private Long strategyId;
    public static TeamInfoListByIdResp teamInfoProductSkuIdByIdResp(ActivityTeamFindByIdModel activityTeamFindByIdModel){
        return TeamInfoListByIdResp.builder()
                .id(activityTeamFindByIdModel.getId())
                .name(activityTeamFindByIdModel.getName())
                .productId(activityTeamFindByIdModel.getProductId())
                .productImage(activityTeamFindByIdModel.getProductImage())
                .introduction(activityTeamFindByIdModel.getIntroduction())
                .unit(activityTeamFindByIdModel.getUnit())
                .imageList(activityTeamFindByIdModel.getImageList())
                .endTime(activityTeamFindByIdModel.getEndTime())
                .sort(activityTeamFindByIdModel.getSort())
                .teamProjectSkuInfoAddReqList(activityTeamFindByIdModel.getTeamProjectSkuInfoAddReqList())
                .content(activityTeamFindByIdModel.getContent())
                .status(activityTeamFindByIdModel.getStatus())
                .strategyType(activityTeamFindByIdModel.getStrategyType())
                .strategyId(activityTeamFindByIdModel.getStrategyId())
                .build();
    }
}
