package com.muyu.marketing.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.marketing.domain.model.ActivityTeamFindByIdModel;
import com.muyu.marketing.domain.model.ActivityTeamProductSkuIdModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * 团购活动规格回显
 *
 * @author: CuiFu Bo
 * @create: 2024-11-27 00:57
 **/

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TeamInfoProductSkuIdByIdResp {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private long id;
    /**
     * 活动ID
     */
    private long teamId;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品SKU
     */
    private String productSku;
    /**
     * 拼团库存
     */
    private Long teamStock;
    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    public static TeamInfoProductSkuIdByIdResp buildModel(ActivityTeamProductSkuIdModel activityTeamProductSkuIdModel) {
        return TeamInfoProductSkuIdByIdResp.builder()
                .id(activityTeamProductSkuIdModel.getId())
                .teamId(activityTeamProductSkuIdModel.getTeamId())
                .productId(activityTeamProductSkuIdModel.getProductId())
                .productSku(activityTeamProductSkuIdModel.getProductSku())
                .teamPrice(activityTeamProductSkuIdModel.getTeamPrice())
                .remainStock(activityTeamProductSkuIdModel.getRemainStock())
                .teamStock(activityTeamProductSkuIdModel.getTeamStock())
                .build();
    }
}
